 /*
 
=================================================
      RTL Styling Code
=================================================
*/
 html[dir="rtl"] .ml-auto,
 .mx-auto {
     margin-left: 0 !important;
     margin-right: auto !important;
 }

 /*
 html[dir="rtl"] form .form-group .ingredients p,
 html[dir="rtl"] form .form-group textarea,
 html[dir="rtl"] form .form-group select,
 html[dir="rtl"] form .form-group input {
     text-align: left;
 }
*/

 html[dir="rtl"] header .navbar .navbar-nav .nav-item:last-child {
     padding-right: 24px;
     padding-left: 0;
 }

 html[dir="rtl"] #page_sign_in::before {
     top: unset;
     right: 0;
 }

 html[dir="rtl"] header .navbar .nav-inner {
     padding-left: 0 !important;
     padding-right: 1.5rem !important;
     margin-left: 0 !important;
     margin-right: 3rem !important;
 }

 html[dir="rtl"] header .navbar .navbar-nav {
     width: fit-content !important;
     margin-left: 0;
     margin-right: auto;
 }

 html[dir="rtl"] header .navbar .navbar-nav .nav-item.profile_img span {
     right: unset;
     left: -6px;
 }

 html[dir="rtl"] header .navbar .navbar-nav .nav-item .nav-link i {
     text-align: right;
 }

 html[dir="rtl"] header .navbar .navbar-brand {
     margin: 0 !important;
 }

 html[dir="rtl"] .page_title {
     padding-right: 50px;
     padding-left: 15px;
 }

 html[dir="rtl"] .page_title::before {
     left: unset;
     right: 0;
 }

 html[dir="rtl"] .page_title .search_box {
     margin-left: 0 !important;
     margin-right: auto !important;
 }

 html[dir="rtl"] form .select_box i {
     right: unset;
     left: 15px;
 }

 html[dir="rtl"] .right-side-menu {
     right: unset;
     left: -100%;
 }

 html[dir="rtl"] #header.active .right-side-menu {
     left: 0;
 }

 html[dir="rtl"] .right-side-menu .menu-inner ul li a {
     text-align: right;
 }

 html[dir="rtl"] .right-side-menu .menu-inner {
     right: unset;
     left: 0;
 }

 html[dir="rtl"] .right-dasboard .total_box img {
     margin-right: 0;
     margin-left: 25px;
 }

 html[dir="rtl"] .right-dasboard .doughnut_chart .row .col-12 h2 i {
     margin-right: 0 !important;
     margin-left: .5rem !important;
 }

 html[dir="rtl"] .right-dasboard .total_box .top-selling-items {
     text-align: right;
 }

 html[dir="rtl"] .right-dasboard .total_box .top-selling-items .media .img_box {
     margin-right: 0;
     margin-left: 25px;
 }

 html[dir="rtl"] .chart-area {
     text-align: right;
 }

 html[dir="rtl"] .progress-bar-box span.text-right {
     text-align: left !important;
 }

 html[dir="rtl"] #page_home .item_section .tab_btn_container {
     padding-left: 0px;
     padding-right: 10px;
 }

 html[dir="rtl"] #page_home .item_section .item_section_header form .form-group .form-control {
     text-align: justify;
 }

 html[dir="rtl"] .page_title .search_box .form-group input {
     text-align: right;
     padding-left: 10px;
 }

 html[dir="rtl"] .order_list .list_header h2 {}

 html[dir="rtl"] .mr-0,
 html[dir="rtl"] .mx-0 {
     margin-left: 0 !important;
 }

 html[dir="rtl"] .ml-0,
 html[dir="rtl"] .mx-0 {
     margin-right: 0 !important;
 }

 html[dir="rtl"] .mr-1,
 html[dir="rtl"] .mx-1 {
     margin-left: .25rem !important;
 }

 html[dir="rtl"] .ml-1,
 html[dir="rtl"] .mx-1 {
     margin-right: .25rem !important;
 }

 html[dir="rtl"] .mr-2,
 html[dir="rtl"] .mx-2 {
     margin-left: .5rem !important;
 }

 html[dir="rtl"] .ml-2,
 html[dir="rtl"] .mx-2 {
     margin-right: .5rem !important;
 }

 html[dir="rtl"] .mr-3,
 html[dir="rtl"] .mx-3 {
     margin-left: 1rem !important;
 }

 html[dir="rtl"] .ml-3,
 html[dir="rtl"] .mx-3 {
     margin-right: 1rem !important;
 }

 html[dir="rtl"] .mr-4,
 html[dir="rtl"] .mx-4 {
     margin-left: 1.5rem !important;
 }

 html[dir="rtl"] .ml-4,
 html[dir="rtl"] .mx-4 {
     margin-right: 1.5rem !important;
 }

 html[dir="rtl"] .mr-5,
 html[dir="rtl"] .mx-5 {
     margin-left: 3rem !important;
 }

 html[dir="rtl"] .ml-5,
 html[dir="rtl"] .mx-5 {
     margin-right: 3rem !important;
 }

 html[dir="rtl"] .pr-0,
 html[dir="rtl"] .px-0 {
     padding-left: 0 !important;
 }

 html[dir="rtl"] .pl-0,
 html[dir="rtl"] .px-0 {
     padding-right: 0 !important;
 }

 html[dir="rtl"] .pr-1,
 html[dir="rtl"] .px-1 {
     padding-left: .25rem !important;
 }

 html[dir="rtl"] .pl-1,
 html[dir="rtl"] .px-1 {
     padding-right: .25rem !important;
 }

 html[dir="rtl"] .pr-2,
 html[dir="rtl"] .px-2 {
     padding-left: .5rem !important;
 }

 html[dir="rtl"] .pl-2,
 html[dir="rtl"] .px-2 {
     padding-right: .5rem !important;
 }

 html[dir="rtl"] .pr-3,
 html[dir="rtl"] .px-3 {
     padding-left: 1rem !important;
 }

 html[dir="rtl"] .pl-3,
 html[dir="rtl"] .px-3 {
     padding-right: 1rem !important;
 }

 html[dir="rtl"] .pr-4,
 html[dir="rtl"] .px-4 {
     padding-left: 1.5rem !important;
 }

 html[dir="rtl"] .pl-4,
 html[dir="rtl"] .px-4 {
     padding-right: 1.5rem !important;
 }

 html[dir="rtl"] .pr-5,
 html[dir="rtl"] .px-5 {
     padding-left: 3rem !important;
 }

 html[dir="rtl"] .pl-5,
 html[dir="rtl"] .px-5 {
     padding-right: 3rem !important;
 }

 html[dir="rtl"] .mr-auto,
 html[dir="rtl"] .mx-auto {
     margin-left: auto !important;
 }

 html[dir="rtl"] .ml-auto,
 html[dir="rtl"] .mx-auto {
     margin-right: auto !important;
 }

 html[dir="rtl"] .text-left {
     text-align: right !important;
 }

 html[dir="rtl"] .text-right {
     text-align: left !important;
 }

 html[dir="rtl"] .receipt_model .modal-dialog {
     margin-right: auto;
     margin-left: 0;
 }

 html[dir="rtl"] #transactions .receipt_model .modal-dialog .delivery_partner .text_box {
     text-align: right;
 }

 html[dir="rtl"] #transactions .receipt_model .modal-dialog .delivery_partner .img_box {
     margin-right: 0;
     margin-left: 15px;
 }

 html[dir="rtl"] #transactions .receipt_model .modal-dialog .modal-header .customer_details {
     text-align: right;
 }

 html[dir="rtl"] form .form-group label {
     text-align: right;
 }

 html[dir="rtl"] #page_booking form .form-group .ingredients p,
 html[dir="rtl"] #page_booking form .form-group textarea,
 html[dir="rtl"] #page_booking form .form-group select,
 html[dir="rtl"] #page_booking form .form-group input {
     text-align: right;
 }

 html[dir="rtl"] #page_booking form .form-group label {
     text-align: right;
 }

 html[dir="rtl"] .select2-selection--multiple .select2-selection__choice {
     padding-right: 0 !important;
     padding-left: 24px !important;
     margin-right: 0 !important;
     margin-left: 13px !important;
     text-align: right !important;
 }

 html[dir="rtl"] .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
     right: unset;
     left: 0;
     transform: rotate(180deg);
     top: 2px;
 }

 html[dir="rtl"] .back-link {
     text-align: right;
 }

 html[dir="rtl"] .back-link i {
     transform: rotate(180deg);
 }

 html[dir="rtl"] #page_settings .body_wrapper .row .col-12 .card h3 {
     text-align: right;
 }

 html[dir="rtl"] #page_settings .body_wrapper .row .col-12 .card.order_color_setting form .form-group i {
     margin-right: 0;
     margin-left: 21px;
 }

 html[dir="rtl"] #page_terms_conditions .row .col-12 .card h2,
 html[dir="rtl"] #page_support .row .col-12 .card h2 {
     text-align: right;
 }

 html[dir="rtl"] #page_terms_conditions .row .col-12 .card p,
 html[dir="rtl"] #page_support .row .col-12 .card p {
     text-align: right;
 }

 html[dir="rtl"] label.custom-control-label::before {
     left: unset;
     right: -1.5rem;
 }

 html[dir="rtl"] label.custom-control-label::after {
     left: unset;
     right: -22px;
 }

 html[dir="rtl"] .custom-control {
     padding-left: 0;
     padding-right: 1.5rem;
 }

 html[dir="rtl"] #page_sign_in .container-fluid h2 {
     text-align: right;
 }

 html[dir="rtl"] #page_sign_in .container-fluid button.btn {
     margin-right: 0;
     margin-left: auto;
     display: block;
 }

 html[dir="rtl"] .chat_container .chat_box.send {
     margin-left: 0;
     margin-right: auto;
 }

 html[dir="rtl"] .chat_container .chat_box.send .chat {
     margin-left: 0;
     margin-right: auto;
 }

 html[dir="rtl"] .receipt_model .modal-content ul li h4 {
     text-align: right;
 }

 html[dir="rtl"] .receipt_model .modal-content ul li h5,
 html[dir="rtl"] .receipt_model .modal-content ul li h3 {
     text-align: right;
 }

 @media (max-width: 991.98px) {
     html[dir="rtl"] .page_title {
         padding-right: 20px;
         padding-left: 20px;
     }
 }

 @media (min-width: 768px) {
     html[dir="rtl"] .order_section {
         left: unset;
         right: 0;
     }

     html[dir="rtl"] #page_home .item_section {
         margin-right: auto;
         margin-left: 0;
     }

     html[dir="rtl"] .order_item_container .order_footer {
         left: unset;
         right: 0;
     }
 }